/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ServerBusy {
    /// True if the server is marked as busy (under high load)
    #[serde(rename = "busy", skip_serializing_if = "Option::is_none")]
    pub busy: Option<bool>,
    /// timestamp - number of seconds since Jan 1, 1970 UTC.
    #[serde(rename = "expires", skip_serializing_if = "Option::is_none")]
    pub expires: Option<i64>,
}

impl ServerBusy {
    pub fn new() -> ServerBusy {
        ServerBusy {
            busy: None,
            expires: None,
        }
    }
}
